### Method

# GUPnP ContextFilter check_context

since: 1.4.0

#### Declaration [src]

    gboolean
    gupnp_context_filter_check_context (
      GUPnPContextFilter* context_filter,
      GUPnPContext* context
    )

#### Description [src]

It will check if the `context` is allowed or not. The `context_filter` will check all its entries against `GUPnPContext` interface, host IP and network fields information. This function doesn’t take into account the `context_filter` status (enabled or not).

Available since: 1.4.0

#### Parameters

`context`

  Type: `GUPnPContext`

  A `GUPnPContext` to test.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `context` is matching the `context_filter` criteria, `FALSE` otherwise.